package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class RiwayatPenyakitPengobatan
 * 
 * @author Adik
 */
public class DetailDiagnosaPasienVO extends MedicalRecordTransactionVO {

	@ManyToOne
	@NotNull(message="Diagnosa  harus Diisi")
	@Caption(value="Diagnosa ")
	private DiagnosaVO diagnosa;
	
	@ManyToOne
	@NotNull(message="Jenis Diagnosa  harus Diisi")
	@Caption(value="Jenis Diagnosa ")
	private JenisDiagnosaVO jenisDiagnosa;

	@Column(name = "tglInputDiagnosa", nullable = true )
	@Caption(value="tglInputDiagnosa")
	private Date tglInputDiagnosa;
	
	private String keterangan;
	
	public DiagnosaVO getDiagnosa() {
		return diagnosa;
	}


	public void setDiagnosa(DiagnosaVO diagnosa) {
		this.diagnosa = diagnosa;
	}


	public JenisDiagnosaVO getJenisDiagnosa() {
		return jenisDiagnosa;
	}


	public void setJenisDiagnosa(JenisDiagnosaVO jenisDiagnosa) {
		this.jenisDiagnosa = jenisDiagnosa;
	}


	public Date getTglInputDiagnosa() {
		return tglInputDiagnosa;
	}

	public void setTglInputDiagnosa(Date tglInputDiagnosa) {
		this.tglInputDiagnosa = tglInputDiagnosa;
	}


	public String getKeterangan() {
		return keterangan;
	}


	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

}

